;;; biblio-autoloads.el --- autoloads for biblio

;;; Commentary:
;; Automatically generated by elisp-common.eclass
;; DO NOT EDIT THIS FILE

;;; Code:

;;;### (autoloads nil "biblio-arxiv" "biblio-arxiv.el" (0 0 0 0))
;;; Generated autoloads from biblio-arxiv.el

(autoload 'biblio-arxiv-backend "biblio-arxiv" "\
A arXiv backend for biblio.el.
COMMAND, ARG, MORE: See `biblio-backends'.

\(fn COMMAND &optional ARG &rest MORE)")

(add-hook 'biblio-init-hook #'biblio-arxiv-backend)

(autoload 'biblio-arxiv-lookup "biblio-arxiv" "\
Start an arXiv search for QUERY, prompting if needed.

\(fn &optional QUERY)" t)

(defalias 'arxiv-lookup 'biblio-arxiv-lookup)

(register-definition-prefixes "biblio-arxiv" '("biblio-arxiv-"))

;;;***

;;;### (autoloads nil "biblio-core" "biblio-core.el" (0 0 0 0))
;;; Generated autoloads from biblio-core.el

(autoload 'biblio-lookup "biblio-core" "\
Perform a search using BACKEND, and QUERY.
Prompt for any missing or nil arguments.  BACKEND should be a
function obeying the interface described in the docstring of
`biblio-backends'.  Returns the buffer in which results will be
inserted.

\(fn &optional BACKEND QUERY)" t)

(register-definition-prefixes "biblio-core" '("biblio-"))

;;;***

;;;### (autoloads nil "biblio-crossref" "biblio-crossref.el" (0 0
;;;;;;  0 0))
;;; Generated autoloads from biblio-crossref.el

(autoload 'biblio-crossref-backend "biblio-crossref" "\
A CrossRef backend for biblio.el.
COMMAND, ARG, MORE: See `biblio-backends'.

\(fn COMMAND &optional ARG &rest MORE)")

(add-hook 'biblio-init-hook #'biblio-crossref-backend)

(autoload 'biblio-crossref-lookup "biblio-crossref" "\
Start a CrossRef search for QUERY, prompting if needed.

\(fn &optional QUERY)" t)

(defalias 'crossref-lookup 'biblio-crossref-lookup)

(register-definition-prefixes "biblio-crossref" '("biblio-crossref-"))

;;;***

;;;### (autoloads nil "biblio-dblp" "biblio-dblp.el" (0 0 0 0))
;;; Generated autoloads from biblio-dblp.el

(autoload 'biblio-dblp-backend "biblio-dblp" "\
A DBLP backend for biblio.el.
COMMAND, ARG, MORE: See `biblio-backends'.

\(fn COMMAND &optional ARG &rest MORE)")

(add-hook 'biblio-init-hook #'biblio-dblp-backend)

(autoload 'biblio-dblp-lookup "biblio-dblp" "\
Start a DBLP search for QUERY, prompting if needed.

\(fn &optional QUERY)" t)

(defalias 'dblp-lookup 'biblio-dblp-lookup)

(register-definition-prefixes "biblio-dblp" '("biblio-dblp--"))

;;;***

;;;### (autoloads nil "biblio-dissemin" "biblio-dissemin.el" (0 0
;;;;;;  0 0))
;;; Generated autoloads from biblio-dissemin.el

(autoload 'biblio-dissemin-lookup "biblio-dissemin" "\
Retrieve a record by DOI from Dissemin, and display it.
Interactively, or if CLEANUP is non-nil, pass DOI through
`biblio-cleanup-doi'.

\(fn DOI &optional CLEANUP)" t)

(defalias 'dissemin-lookup 'biblio-dissemin-lookup)

(autoload 'biblio-dissemin--register-action "biblio-dissemin" "\
Add Dissemin to list of `biblio-selection-mode' actions.")

(add-hook 'biblio-selection-mode-hook #'biblio-dissemin--register-action)

(register-definition-prefixes "biblio-dissemin" '("biblio-dissemin--"))

;;;***

;;;### (autoloads nil "biblio-doi" "biblio-doi.el" (0 0 0 0))
;;; Generated autoloads from biblio-doi.el

(autoload 'biblio-doi-insert-bibtex "biblio-doi" "\
Insert BibTeX entry matching DOI.

\(fn DOI)" t)

(register-definition-prefixes "biblio-doi" '("biblio-doi-" "doi-insert-bibtex"))

;;;***

;;;### (autoloads nil "biblio-download" "biblio-download.el" (0 0
;;;;;;  0 0))
;;; Generated autoloads from biblio-download.el

(autoload 'biblio-download--register-action "biblio-download" "\
Add download to list of `biblio-selection-mode' actions.")

(add-hook 'biblio-selection-mode-hook #'biblio-download--register-action)

(register-definition-prefixes "biblio-download" '("biblio-download-"))

;;;***

;;;### (autoloads nil "biblio-hal" "biblio-hal.el" (0 0 0 0))
;;; Generated autoloads from biblio-hal.el

(autoload 'biblio-hal-backend "biblio-hal" "\
A HAL backend for biblio.el.
COMMAND, ARG, MORE: See `biblio-backends'.

\(fn COMMAND &optional ARG &rest MORE)")

(add-hook 'biblio-init-hook #'biblio-hal-backend)

(autoload 'biblio-hal-lookup "biblio-hal" "\
Start a HAL search for QUERY, prompting if needed.

\(fn &optional QUERY)" t)

(defalias 'hal-lookup 'biblio-hal-lookup)

(register-definition-prefixes "biblio-hal" '("biblio-hal--"))

;;;***

;;;### (autoloads nil "biblio-ieee" "biblio-ieee.el" (0 0 0 0))
;;; Generated autoloads from biblio-ieee.el

(autoload 'biblio-ieee-backend "biblio-ieee" "\
A IEEE Xplore backend for biblio.el.
COMMAND, ARG, MORE: See `biblio-backends'.

\(fn COMMAND &optional ARG &rest MORE)")

(add-hook 'biblio-init-hook #'biblio-ieee-backend)

(autoload 'biblio-ieee-lookup "biblio-ieee" "\
Start a IEEE search for QUERY, prompting if needed.

\(fn &optional QUERY)" t)

(defalias 'ieee-lookup 'biblio-ieee-lookup)

(register-definition-prefixes "biblio-ieee" '("biblio-ieee--"))

;;;***

;;;### (autoloads nil nil ("biblio.el") (0 0 0 0))

;;;***

;; Local Variables:
;; version-control: never
;; no-byte-compile: t
;; no-native-compile: t
;; no-update-autoloads: t
;; End:

;;; biblio-autoloads.el ends here
